Get player accolades by PUUID (v1)
curl --request GET \
--url https://api.henrikdev.xyz/valorant/v1/by-puuid/accolades/{affinity}/{platform}/{puuid} \
--header 'Authorization: <api-key>'import requests
url = "https://api.henrikdev.xyz/valorant/v1/by-puuid/accolades/{affinity}/{platform}/{puuid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.henrikdev.xyz/valorant/v1/by-puuid/accolades/{affinity}/{platform}/{puuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account": {
"name": "<string>",
"puuid": "<string>",
"tag": "<string>"
},
"matches": [
{
"players": [
{
"accolades": [
{
"id": "<string>",
"is_act_record": true,
"value": 123,
"type": "kills"
}
],
"puuid": "<string>"
}
],
"match_id": "<string>",
"started_at": "<string>"
}
],
"summary": {
"all_time": [
{
"best_value": 123,
"count": 1,
"id": "<string>",
"type": "kills"
}
],
"seasons": [
{
"accolades": [
{
"best_value": 123,
"count": 1,
"id": "<string>",
"type": "kills"
}
],
"season": {
"id": "<string>",
"short": "<string>"
}
}
]
}
},
"status": 1
}{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}valorant
Get player accolades by PUUID (v1)
GET
/
valorant
/
v1
/
by-puuid
/
accolades
/
{affinity}
/
{platform}
/
{puuid}
Get player accolades by PUUID (v1)
Authorizations
api_key_headerapi_key_query
Path Parameters
Region/affinity (e.g., na, eu, ap, kr)
Platform (pc, console)
Player UUID
⌘I
